<%- include('../partials/header') %>
<div id="rowFlex">
  <h1>Your <%= title %></h1>
  <!--{{#if user}}-->
  <a class="btn btn-info" id="buttonPad" href="/fungi/add">Add a new fungus</a>
  <!--{{/if}}-->
<!--{{! Add links to CRUD operations }}
{{!commented out to not allow viewers to edit/ user can add when editing}}-->
</div>

<!--{{! To Show data }}-->
<div class="page-container"> <!-- Line Changed -->
  <div class="table-container"> <!-- Line Changed -->
    <table class="table table-striped table-hover">
      <thead>
        <th>Name</th>
        <th>Date Identified</th>
        <th>Location</th>
        <th>Image</th>
        <!--{{#if ./user}}-->
        <th>Actions</th>
        <!--{{/if}} -->
      </thead>
      <tbody>
        <% dataset.forEach(function(item) { %>
          <tr>
            <td class="names"><%= item.name %></td>
            <td id="td2">
              <ul id="cellList"><%= item.updateDate %></ul>
            </td>
            <td id="td5" class="map-container">
              <ul id="cellList" class="coordinates"><%= item.location %></ul>
              <div class="map" style="height: 200px; width: 200px;"></div>
            </td>
            <td class="col-md-3">
              <a href="<%= item.link %>" target="_blank">
                <img class="w-75" src="images/fungus_images/<%= item.image %>" />
              </a>
            </td>
            <td id="action">
              <a class="btn btn-primary" href="/fungi/edit/<%= item._id %>">Edit</a>
              <a class="btn btn-danger" href="/fungi/delete/<%= item._id %>" onclick="return confirmDeletion()">Delete</a>
            </td>
          </tr>
        <% }); %>
      </tbody>
    </table>
  </div> <!-- Line Changed -->
  <!-- Pagination -->
  <div class="pagination">
    <% if (currentPage > 1) { %>
      <a href="/fungi?page=1">&lt;&lt;</a> <!-- Rewind to first page -->
      <a href="/fungi?page=<%= currentPage - 1 %>">&lt;</a> <!-- Previous page -->
    <% } %>

    <% for (let i = 1; i <= totalPages; i++) { %>
      <a href="/fungi?page=<%= i %>" class="<%= currentPage === i ? 'active' : '' %>">
        <%= i %>
      </a>
    <% } %>

    <% if (currentPage < totalPages) { %>
      <a href="/fungi?page=<%= currentPage + 1 %>">&gt;</a> <!-- Next page -->
      <a href="/fungi?page=<%= totalPages %>">&gt;&gt;</a> <!-- Fast forward to last page -->
    <% } %>
  </div>
</div> <!-- Line Changed -->
<%- include('../partials/footer') %>